SDL_AUDIO_BITSIZE(3)

NAME
SDL_AUDIO_BITSIZE - Retrieve the size, in bits, from an SDL_AudioFormat .

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_AUDIO_BITSIZE(x)         ((x) & SDL_AUDIO_MASK_BITSIZE)

DESCRIPTION
For example, SDL_AUDIO_BITSIZE(SDL_AUDIO_S16) returns 16.

RETURN VALUE
Returns data size in bits.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.